<?php

namespace Schaffen\Gef\Transformers;

use League\Fractal\TransformerAbstract;
use Schaffen\Gef\Models\AgendamentoVeiculoUso;
use Carbon\Carbon;

/**
 * Class AgendamentoVeiculoUsoTransformer.
 *
 * @package namespace Schaffen\Gef\Transformers;
 */
class AgendamentoVeiculoUsoTransformer extends TransformerAbstract
{
    /**
     * Transform the AgendamentoVeiculoUso entity.
     *
     * @param \Schaffen\Gef\Models\AgendamentoVeiculoUso $model
     *
     * @return array
     */
    public function transform(AgendamentoVeiculoUso $model)
    {


       $motorista = $model->motorista;
       $veiculo = $model->veiculo;

       if(!$model->agu_data_disponibilidade_inicial instanceof Carbon){
          $model->agu_data_disponibilidade_inicial = Carbon::createFromFormat('Y-m-d', $model->agu_data_disponibilidade_inicial);
       }

       if(!$model->agu_data_disponibilidade_final instanceof Carbon){
          $model->agu_data_disponibilidade_final = Carbon::createFromFormat('Y-m-d', $model->agu_data_disponibilidade_final);
       }

        return [
            'codigo'                       => (int) $model->agu_codigo,
            'data_disponibilidade_inicial' => $model->agu_data_disponibilidade_inicial->format('Y-m-d'),
            'data_disponibilidade_final'   => $model->agu_data_disponibilidade_final->format('Y-m-d'),
            'observacao'                    => $model->agu_observacao,
            'motorista'                    => $motorista->pes_nome,
            'veiculo'                      => !isset($veiculo->vei_identificador) ? $veiculo->vei_placa : $veiculo->vei_identificador,

        ];
    }
}
